## qd 2.3.11.dfsg

=== docs/Makefile ===
LATEX = latex
DVIPS = dvips
DVIPDF = dvipdf
BIBTEX = bibtex

EPSFIGS = nine-two-sum.eps normal_sum_prod.eps qd_add.eps qd_add_proof.eps \
          qd_add_qd_d.eps qd_mul_accum.eps qd_mul_qd_d.eps quick-two-sum.eps \
          six-three-sum.eps three-sum-2.eps three-sum-3.eps three-sum.eps \
          two-prod.eps two-sum.eps 

all: qd.pdf

dvi: qd.dvi

pdf: qd.pdf

ps: qd.ps

qd.dvi: qd.tex qd.bib $(EPSFIGS)
	$(LATEX) $< && $(BIBTEX) qd && \
	$(LATEX) $< && $(LATEX) $<

qd.ps: qd.dvi
	$(DVIPS) -o $@ $<

qd.pdf: qd.dvi
	$(DVIPDF) $<

clean:
	rm -f qd.dvi qd.blg qd.bbl qd.toc qd.log qd.aux 

maintainer-clean: clean
	rm -f qd.ps qd.pdf

.PHONY: clean maintainer-clean all

## qd 2.3.17.dfsg

=== debian/changelog ===
qd (2.3.17.dfsg-1) unstable; urgency=medium

  * New upstream release
   - libtool patch merged upstream
   - gxx43 patch no longer needed
  * Remove prelibtool stage, which caused FTBFS. Closes: #818542
  * Remove Christophe Prud'homme from Uploaders. Closes: #835012.
  * Add myself as Uploader.
  * Move to DH_COMPAT=10, with debhelper dep, >= 10
  * Standards-Version: 3.9.8
  * source format: quilt (3.0)
  * Use xz compression
  * Rename library packages for g++5 ABI transition. (Match Ubuntu name)
    Closes: #819339.
  * Tidy up copyright; fix machine-readble format
  * Add demangle to debian/watch file (dfsg component)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Nov 2016 18:22:01 +0000

qd (2.3.11.dfsg-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against gcc/gfortran5 for transition. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Aug 2015 11:23:42 +0100

qd (2.3.11.dfsg-2.2) unstable; urgency=low

  * Convert to dh-autoreconf, which is more robust than CDBS
    DEB_AUTO_UPDATE_* (closes: #713207).
  * Adjust pkglibdir.patch to work with current Autotools.
  * Remove sh4.patch, automatically applied by autoreconf.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Sep 2013 09:31:53 +0100

qd (2.3.11.dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS": add pkglibdir.patch to fix fortran/Makefile.am.
    (Closes: #662585)

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 Mar 2012 18:59:19 +0200

qd (2.3.11.dfsg-2) unstable; urgency=low

  * Team upload.
  * Fix build on sh4 (Closes: #590335).
    - Add patches/sh4.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 11 Mar 2011 22:22:58 +0900

qd (2.3.11.dfsg-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release
  * debian/control: update Standards-Version to 3.9.1
  * debian/libqd-dev.install: do not ship .la file anymore
  * Bug fix: "error: Cannot link C++ and Fortran.", thanks to Nobuhiro
    Iwamatsu (Closes: #590335).

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 13 Aug 2010 13:30:28 +0200

qd (2.3.8-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 13 Jul 2009 15:31:46 +0200

qd (2.3.7-2) unstable; urgency=low

  [Christophe Prud'homme]
  * added libqdmod.a library for fortran support
  * debian/control: updated Standards-Version to 3.8.2 (no changes)
  * debian/{compat,contro}: updated debhelper compatibility (>=7)

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 13 Jul 2009 13:47:46 +0200

qd (2.3.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Call libtoolize in order to update the version of libtool (Closes:
    #518564)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 23 Mar 2009 12:02:18 +0100

qd (2.3.7-1) unstable; urgency=low

  [ Daniel Leidert (dale) ]
  * debian/control: Added Homepage field.
    (Vcs-Svn): Fixed.
  * debian/dirs: Dropped (useless).
  * debian/libqd-dev.examples: Added sample Makefile.
  * debian/libqd-dev.manpages: Added for new man-page.
  * debian/qd-config.1: Added missing man-page.
  * debian/watch: Added.

  [ Christophe Prud'homme ]
  * New upstream release
  * debian/control: set Standards-Version to 3.8.0 (added README.source
    and associated quilt comment)

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 07 Dec 2008 19:59:12 +0100

qd (2.3.4-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "qd: please package new upstream", thanks to Tim Abbott
    (Closes: #464783).

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 15 Feb 2008 09:11:01 +0100

qd (2.1.213.1-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Added Vcs-Svn and Vcs-Browser fields to the Source
    section

  [Christophe Prud'homme]
  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr (Closes: #417502).
  * Bug fix: "ldbl128 transition for alpha, powerpc, sparc, s390", thanks
    to Matthias Klose (Closes: #430295).
  * debian/control: updated g++ and gfortran build-depends version
  * debian/control: updated Standards-Version

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 15 Feb 2008 08:59:13 +0100

qd (2.1.213.1-1) unstable; urgency=low

  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 16 Oct 2006 15:17:07 +0200

qd (2.1.200-1) unstable; urgency=low

  * New upstream release
  * Changed library package name to libqd2c2a
  * Enabled some operations between dd_real/qd_real and integers/floating
    types
  * Changed Maintainer to Debian Scientific Computing Team and added
    myself as uploader

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun,  9 Apr 2006 22:50:45 +0200

qd (2.1.142-3) unstable; urgency=low

  * c++ transition

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 10 Jan 2006 16:01:53 +0100

qd (2.1.142-2) unstable; urgency=low

  * patch to support unsigned ints

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 14 Aug 2005 23:00:09 +0200

qd (2.1.142-1) unstable; urgency=low

  * Initial release

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 30 Jul 2005 20:08:09 +0200

=== debian/control ===
Source: qd
Priority: optional
Section: libs
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: cdbs, debhelper (>= 10), quilt, dh-autoreconf, g++ (>= 4.1), gfortran (>= 4.1)
Standards-Version: 3.9.8
Homepage: http://crd.lbl.gov/~dhbailey/mpdist/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/qd/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/qd/trunk

Package: libqd-dev
Section: libdevel
Architecture: any
Depends: libqd0v5 (= ${binary:Version}), ${misc:Depends}
Description: Double-double and quad double types in C++ and F90
 This package supports both a double-double datatype (approx. 32
 decimal digits) and a quad-double datatype (approx. 64 decimal
 digits). The computational library is written in C++. Both C++ and
 Fortran-90 high-level language interfaces are provided to permit one
 to convert an existing C++ or Fortran-90 program to use the library
 with only minor changes to the source code.

Package: libqd0v5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqd2c2a, libqd0
Conflicts: libqd2c2a, libqd0
Description: Double-double and quad double types in C++ and F90
 This package supports both a double-double datatype (approx. 32
 decimal digits) and a quad-double datatype (approx. 64 decimal
 digits). The computational library is written in C++. Both C++ and
 Fortran-90 high-level language interfaces are provided to permit one
 to convert an existing C++ or Fortran-90 program to use the library
 with only minor changes to the source code.

=== debian/rules ===
#!/usr/bin/make -f


## control update does not seem t be a good practice
## DEB_AUTO_UPDATE_DEBIAN_CONTROL := yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-maintainer-mode --enable-shared

CXXFLAGS="-O3"

get-orig-source:
	uscan --force-download

## qd 2.3.18+dfsg

=== debian/changelog ===
qd (2.3.18+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Do not add quilt to Build-Depends when using source/format quilt (3.0)
  * Convert from cdbs to dh
  * Standards-Version: 4.1.3
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2018 23:45:29 +0100

qd (2.3.18+dfsg-1) unstable; urgency=medium

  * New upstream release
  * missing-changelog.patch - fix build breaks without ChangeLog
  * Drop dh-autoreconf, no longer needed with Debhelper 10
  * Standards-Version: 4.1.3; no changes required
  * Include symlinks for other libs libqdmod, libqd_f_main

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jan 2018 19:21:11 +0000

=== debian/control ===
Source: qd
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10),
               gfortran
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/qd.git
Vcs-Git: https://salsa.debian.org/science-team/qd.git
Homepage: http://crd.lbl.gov/~dhbailey/mpdist/

Package: libqd-dev
Architecture: any
Section: libdevel
Depends: libqd0v5 (= ${binary:Version}),
         ${misc:Depends}
Description: Double-double and quad double types in C++ and F90
 This package supports both a double-double datatype (approx. 32
 decimal digits) and a quad-double datatype (approx. 64 decimal
 digits). The computational library is written in C++. Both C++ and
 Fortran-90 high-level language interfaces are provided to permit one
 to convert an existing C++ or Fortran-90 program to use the library
 with only minor changes to the source code.

Package: libqd0v5
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libqd2c2a,
           libqd0
Replaces: libqd2c2a,
          libqd0
Description: Double-double and quad double types in C++ and F90
 This package supports both a double-double datatype (approx. 32
 decimal digits) and a quad-double datatype (approx. 64 decimal
 digits). The computational library is written in C++. Both C++ and
 Fortran-90 high-level language interfaces are provided to permit one
 to convert an existing C++ or Fortran-90 program to use the library
 with only minor changes to the source code.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CXXFLAGS+=-O3

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-maintainer-mode --enable-shared

get-orig-source:
	uscan --force-download

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// http://crd.lbl.gov/~dhbailey/mpdist/qd-([\d.]+)\.tar\.gz
